<?php
// Cabeceras necesarias
header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
header("Access-Control-Allow-Headers: Content-Type, Authorization");
header('Content-Type: application/json');
header("Cache-Control: no-store, no-cache, must-revalidate, max-age=0");
header("Pragma: no-cache");
header("Expires: 0");

$documentRoot = realpath(__DIR__ . '/../..');
$jsonFile = $documentRoot . "/php/api/log_rhb.json";

//$jsonFile = '/var/www/vhosts/cst.cat/subdomains/pefir/httpdocs/php/api/log_rhb.json';

// Leer el archivo JSON
$jsonData = file_get_contents($jsonFile);

// Decodificar el JSON a un arreglo asociativo
$records = json_decode($jsonData, true);

// Verificar si la decodificación fue exitosa
if (!$records) {
    die("Error al leer el JSON.");
}

// Modificar registros con `diferenciaMinutos` superior a 5
foreach ($records as &$record) {
    if (isset($record['diferenciaMinutos']) && $record['diferenciaMinutos'] > 5) {
        $record['diferenciaMinutos'] = 5;
    }
}

// Guardar los cambios en el archivo JSON
file_put_contents($jsonFile, json_encode($records, JSON_PRETTY_PRINT));

// Mostrar los registros actualizados
if (!empty($records)) {
    foreach ($records as $record) {
        echo "
        <div class='registro'>
            <p><strong>Id.:</strong> " . htmlspecialchars($record['uniqueNumber']) . "</p>
            <p><strong>Time MG.:</strong> " . htmlspecialchars($record["timestamp"]) . "</p>
            <p><strong>Autor Name:</strong> " . htmlspecialchars($record['autor']) . "</p>
            <p><strong>Pdf Name:</strong> " . htmlspecialchars($record['pdf_nom']) . "</p>
            <p><strong>Tec. Name:</strong> " . htmlspecialchars($record['tec_nom']) . "</p>
            <p><strong>Dif. Minutos:</strong> " . htmlspecialchars($record['diferenciaMinutos']) . "</p>
            <p><strong>EVA:</strong> " . htmlspecialchars($record['eva']) . "</p>
            <p><strong>Time Base:</strong> " . htmlspecialchars($record['baseTime']) . "</p>
        </div>
        <hr>";
    }
} else {
    echo "<p>No se encontraron registros.</p>";
}
?>
